Bug 1350269 - Firefox can crash wayland gnome-shell
Summary: Firefox can crash wayland gnome-shell
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 24
Hardware: i686
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2016-06-26 22:39 UTC by Alex Villacís Lasso
Modified: 2017-08-08 15:05 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-08-08 15:05:09 UTC


Attachments (Terms of Use)

Description Alex Villacís Lasso 2016-06-26 22:39:36 UTC
Description of problem:
On a system freshly updated to Fedora 24 (Asus Acer Aspire One ZG5 i686 1GB RAM with Intel graphics chipset) a particular sequence of window operations on Firefox manages to crash the entire gnome-shell when running on top of Wayland. Doing the same sequence on the X session causes no crash.

Version-Release number of selected component (if applicable):
gnome-shell-3.20.2-1.fc24.i686
mutter-3.20.2-2.fc24.i686
firefox-47.0-6.fc24.i686
libwayland-server-1.10.0-1.fc24.i686
libwayland-client-1.10.0-1.fc24.i686
libwayland-cursor-1.10.0-1.fc24.i686
xorg-x11-server-Xwayland-1.18.3-4.fc24.i686
mesa-libwayland-egl-11.2.2-2.20160614.fc24.i686

How reproducible:
Always

Steps to Reproduce:
1. Start Gnome Shell session under Wayland
2. Start Firefox. This should open the first tab with blank whiteness
3. Press the blue plus sign to open a second tab. No need to enter any address.
4. The session might crash right away at this point.
5. If it does not crash, switch a few times between the tabs.
6. Press Alt to call up the menu.
7. Select Help-->About Firefox.
8. The gnome-shell crashes on the attempt to display the dialog.

Actual results:
Session crash that sends the user to the login screen.

Expected results:
No crash

Additional info:
I cannot submit an ABRT report when this crash happens. When I try, the remote backtrace process just "progresses" eternally.

Might be related to https://bugzilla.redhat.com/show_bug.cgi?id=1344629 https://bugzilla.redhat.com/show_bug.cgi?id=1259649

Comment 1 Alex Villacís Lasso 2016-06-26 22:57:37 UTC
Also, starting xterm under gnome-shell on wayland and attempting to resize the window quickly also ends up crashing gnome-shell.

Comment 2 Olivier Fourdan 2016-09-01 09:58:40 UTC
Those are not Wayland native windows, so most likely Xwayland crashed and mutter/gnome-shell goes along with it.

There have been sevaral fixes backported in xorg-x11-server-Xwayland-1.18.4-4 , can you still reproduce with an up-to-date xorg-x11-server-Xwayland-1.18.4-4 package?

Comment 3 Alex Villacís Lasso 2016-09-02 00:30:36 UTC
(In reply to Olivier Fourdan from comment #2)
> Those are not Wayland native windows, so most likely Xwayland crashed and
> mutter/gnome-shell goes along with it.
> 
> There have been sevaral fixes backported in
> xorg-x11-server-Xwayland-1.18.4-4 , can you still reproduce with an
> up-to-date xorg-x11-server-Xwayland-1.18.4-4 package?

Crash no longer reproducible as of the following versions:
firefox-48.0.1-1.fc24.i686
gnome-shell-3.20.4-1.fc24.i686
mutter-3.20.3-1.fc24.i686
xorg-x11-server-Xwayland-1.18.4-1.fc24.i686

Comment 4 Fedora End Of Life 2017-07-25 21:20:27 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-08-08 15:05:09 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.